import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Brtlat{
    constructor () {
        this.data = {
						brtapll1blk:"",			//  XMLPanel brtapll1的内置block		.brtapll1blk
						brdgrp:{
							blk:{
								comcon:"",			//  Comments and Conclusions		.brdgrp.blk.comcon
								setinsbr:"",			//  Settlement Instructions BR		.brdgrp.blk.setinsbr
								docdis:"",			//  不符点		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
								vesnam:"",			//  Vessel Name		.brdgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.brdgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.brdgrp.blk.delplc
								roggod:"",			//  Covered Goods		.brdgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.brdgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.brdgrp.blk.porlod
								voynum:"",			//  Voyage numer		.brdgrp.blk.voynum
								notpty:"",			//  Notify Party		.brdgrp.blk.notpty
								carnam:"",			//  Carrier		.brdgrp.blk.carnam
								chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.brdgrp.blk.chaadd
							},
							rec:{
								igndisflg:"",			//  Ignore Discrepancies		.brdgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.brdgrp.rec.advtyp
								totdat:"",			//  付款日期		.brdgrp.rec.totdat
								disdat:"",			//  Discrepancy Advice Dated		.brdgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.brdgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.brdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.brdgrp.rec.reltyp
								relgoddat:"",			//  issue date		.brdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.brdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.brdgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.brdgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.brdgrp.rec.blnum
								totcur:"",			//  Amount to be Paid		.brdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.shp.namelc
								adrelc:"",			//  地址		.brdgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
								},
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.acb.namelc
								adrelc:"",			//  地址		.brdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
							},
						},
						brtp:{
							docgrdm:{
								docdsclab:"",			//  Label of document description		.brtp.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.brtp.cre752flg
							furide:"",			//  Further Identification		.brtp.furide
							cre732flg:"",			//  Create MT 732		.brtp.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.brtp.connum
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}