import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bttdcr{
    constructor () {
        this.data = {
						bttp0:{
							ltdget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ltdget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ltdget.sdamod.seainf
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp0.recget.sdamod.dadsnd
									seainf:"",			//  		.bttp0.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bttp0.matp.mattxtlab
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp0.aammod.addamtflg
							},
						},
						mtabut: new Pub().data.Mtabut,
						setmod: new Pub().data.Setmod,
						liaall: new Pub().data.Liaall,
						
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Doc. Set Reference		.btdgrp.rec.ownref
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								rcvdatbe2:"",			//  Received on 2nd Ben.		.btdgrp.rec.rcvdatbe2
								rcvdatbe1:"",			//  Received on 1st Ben.		.btdgrp.rec.rcvdatbe1
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								disdat:"",			//  Date of Discrepancy Advice		.btdgrp.rec.disdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							blk:{
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
								docins:"",			//  Reasons for Rejection		.btdgrp.blk.docins
								disdoc:"",			//  Disposal of Documents		.btdgrp.blk.disdoc
								docdisame:"",			//  DiscrepanciesAmendment History		.btdgrp.blk.docdisame
							},
						},
						rejpenins:"",			//  Rejection pending instructions		.rejpenins
						advdisflg:"",			//  Send Advice of Discrepancies		.advdisflg
						accdisflg:"",			//  Accept to 2ben bank		.accdisflg
						furide:"",			//  (History)		.furide
						pageId: ""			// ctx的key
				}
    }
}