import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Lttcan{
    constructor () {
        this.data = {
						lttp0:{
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.lttp0.recget.sdamod.dadsnd
									seainf:"",			//  		.lttp0.recget.sdamod.seainf
								},
							},
							ledget:{
								sdamod:{
									seainf:"",			//  		.lttp0.ledget.sdamod.seainf
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.lttp0.aammod.addamtflg
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
							},
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
								nam:"",			//  Name		.ltdgrp.rec.nam
								avbby:"",			//  Available by		.ltdgrp.rec.avbby
								shpdat:"",			//  Shipment Date		.ltdgrp.rec.shpdat
								opndat:"",			//  Date Issued/Form		.ltdgrp.rec.opndat
								lcrtyp:"",			//  Date Issued/Form		.ltdgrp.rec.lcrtyp
								expdat:"",			//  Date / Place of Expiry		.ltdgrp.rec.expdat
								expplc:"",			//  Date / Place of Expiry		.ltdgrp.rec.expplc
							},
							cbs:{
								nom1:{
									cur:"",			//  Transfer L/C Amount		.ltdgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ltdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.opn1.amt
								},
							},
							avt:{
								pts:new Pts().data,
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							adt:{
								pts:new Pts().data,
							},
						},
						lttcanp:{
							trnrec:{
								strinf:"",			//  Narrative		.lttcanp.trnrec.strinf
							},
						},
						sndmsg:"",			//  Send Message		.sndmsg
						pageId: ""			// ctx的key
				}
    }
}